November 14, 2016 at 10:03PM

25

Photoshop CC 2017

Hey i have a pc with intel pentium 1.6ghz dual core processor , and a 3.2gb of ram and a intel 945g express chipset video card (inbuilt) , windows 8.1 pro x64 and photoshop cc 2014 run incredible ( i cant use 3D ) so i was asking can i use latest Photoshop cc 2017 on it , becoz in system req.'s they said opengl 2.0 required , but mine is opengl 1.3 i hope , but cc 2014 has also opengl 2.0 required !!! , Help Out , i want to ask you guys before installing :)

11 Comments

Well I mean if it says opengl 2.0 then you need opengl 2.0. Also you might look at upgrading RAM. Some advanced actions especially in CC take up LOTS. Generally speaking I have found CC 2017 to be the most optimized so far but then again I've got 96GB of RAM so who knows lol :D

November 14, 2016 at 10:21PM

0
Reply
avatar
Clark McCauley
Spaceman
1781

Specs for cc 2014 are also opengl 2.0 and i am running it on opengl 1.3 or 1.4 something , THANKS :)

Arsh DSJ

November 17, 2016 at 2:20AM, Edited November 17, 2:20AM

You might look at getting a cheap dedicated graphics card like a 750ti or something. Should help with optimization for sure and give you opengl/cuda acceleration.

November 14, 2016 at 10:22PM

3
Reply
avatar
Clark McCauley
Spaceman
1781

750ti is not cheap , 11000rs , expensive for me :(

Arsh DSJ

November 17, 2016 at 2:18AM

$60?

Clark McCauley

November 17, 2016 at 6:25AM

Well ! i am in india :|

Arsh DSJ

November 17, 2016 at 10:45PM

The Adobe software works with nearly every system that runs actual operating systems (at least Win7). Otherwise the hardware could not handle the OS itself. The hardware struggles when the files you use inside the software are to large or under too high compression.

November 15, 2016 at 6:06AM

2
Reply
avatar
Eric Halbherr
Director, DP, Editor, Creative Storyteller
1590

Well if the minimum requirement is opengl 2 then you absolutely have to have that. If it's just a recommendation then you're technically okay...

Clark McCauley

November 15, 2016 at 6:36AM

Well it says that "The program can't start because api-ms-win-crt-runtime-l1-1-0.dll is missing from your computer. Try reinstalling the program to fix this problem."

November 17, 2016 at 10:55PM

3
Reply
avatar
Arsh DSJ
Director Editor Producer
216

https://support.microsoft.com/en-us/kb/2999226

Scroll down and click on the update applicable to your architecture.

Clark McCauley

November 18, 2016 at 7:09AM

@Clark McCauley .... mine is windows 8.1 pro x64 , downloaded given update for that , tried to install on my pc and it says not applicable for your system :|

Arsh DSJ

November 18, 2016 at 9:58PM

Your Comment